Subject: character construction rules

From: Stephen G Simpson <[email-masked]>
Date: Sun, 24 Nov 1991 14:14:08 -0500

Ya-Gui Wei writes:
 >
 > Increasing the size of the
 > code table is not a solution for solving the rare character
 > problem. But rather, the solution should be to define a set
 > of character construction rules.
 >
 > ...
 >
 > I posted a proposal to CCNET not long ago about the character
 > construction rules. Perhaps it is somewhat crude and far from
 > complete - I was only meaning to illustrate a principle.  Note
 > that one does not neccessary need a set of infinitely scalable
 > fonts to serve certain construction rules - bitmap fonts can
 > be shrunk with respectable results.

Yes, this proposal is very interesting indeed.  By the way, have you
seen Don Hosek's article in the TeX newsletter, Tugboat, about
Metafont for Chinese characters?  (Sometime in 1989, I can get you the
exact reference tomorrow if you are interested.) Hosek is a Metafont
guru and has done a lot of development work on this particular
project.  His system also involves abstract Chinese character
construction rules.  I am hoping that Hosek is successful, because it
should result in a free or inexpensive set of outline fonts.

Stephen G. Simpson               [email-masked]
Department of Mathematics        +1 814 863-0775
Pennsylvania State University    home: +1 814 238-2274
University Park, PA 16802